Index: pacemaker/pengine/test10/remote-partial-migrate2.exp
===================================================================
--- pacemaker.orig/pengine/test10/remote-partial-migrate2.exp
+++ pacemaker/pengine/test10/remote-partial-migrate2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="63" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_migrate_source="pcmk3" CRM_meta_migrate_target="pcmk1" CRM_meta_timeout="20000"  server="172.17.201.2"/>
+        <attributes CRM_meta_migrate_source="pcmk3" CRM_meta_migrate_target="pcmk1" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="62" operation="monitor" operation_key="pcmk_remote2_monitor_60000" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="30000"  server="172.17.201.2"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -47,7 +47,7 @@
     <action_set>
       <rsc_op id="60" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3">
         <primitive id="pcmk_remote2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  server="172.17.201.2"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="60000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -60,7 +60,7 @@
     <action_set>
       <rsc_op id="67" operation="monitor" operation_key="pcmk_remote4_monitor_60000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote4" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="30000"  server="172.17.201.4"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000"  server="172.17.201.4"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -73,7 +73,7 @@
     <action_set>
       <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote4" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="10000"  server="172.17.201.4"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="10000"  server="172.17.201.4"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -86,7 +86,7 @@
     <action_set>
       <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_timeout="20000"  server="172.17.201.5"/>
+        <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -99,7 +99,7 @@
     <action_set>
       <rsc_op id="71" operation="migrate_to" operation_key="pcmk_remote5_migrate_to_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_timeout="20000"  server="172.17.201.5"/>
+        <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -112,7 +112,7 @@
     <action_set>
       <rsc_op id="70" operation="monitor" operation_key="pcmk_remote5_monitor_60000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="30000"  server="172.17.201.5"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -143,7 +143,7 @@
     <action_set>
       <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="pcmk_remote5" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  server="172.17.201.5"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -156,7 +156,7 @@
     <action_set>
       <rsc_op id="83" operation="monitor" operation_key="FAKE5_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -172,7 +172,7 @@
     <action_set>
       <rsc_op id="82" operation="start" operation_key="FAKE5_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -191,7 +191,7 @@
     <action_set>
       <rsc_op id="81" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -200,7 +200,7 @@
     <action_set>
       <rsc_op id="92" operation="monitor" operation_key="FAKE9_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -216,7 +216,7 @@
     <action_set>
       <rsc_op id="91" operation="start" operation_key="FAKE9_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -235,7 +235,7 @@
     <action_set>
       <rsc_op id="90" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE9" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -244,7 +244,7 @@
     <action_set>
       <rsc_op id="99" operation="monitor" operation_key="FAKE12_monitor_10000" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -257,7 +257,7 @@
     <action_set>
       <rsc_op id="98" operation="start" operation_key="FAKE12_start_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -273,7 +273,7 @@
     <action_set>
       <rsc_op id="97" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE12" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -282,7 +282,7 @@
     <action_set>
       <rsc_op id="104" operation="monitor" operation_key="FAKE14_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -295,7 +295,7 @@
     <action_set>
       <rsc_op id="103" operation="start" operation_key="FAKE14_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -311,7 +311,7 @@
     <action_set>
       <rsc_op id="102" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE14" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -320,7 +320,7 @@
     <action_set>
       <rsc_op id="111" operation="monitor" operation_key="FAKE17_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -336,7 +336,7 @@
     <action_set>
       <rsc_op id="110" operation="start" operation_key="FAKE17_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -355,7 +355,7 @@
     <action_set>
       <rsc_op id="109" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE17" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -364,7 +364,7 @@
     <action_set>
       <rsc_op id="128" operation="monitor" operation_key="FAKE25_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -380,7 +380,7 @@
     <action_set>
       <rsc_op id="127" operation="start" operation_key="FAKE25_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -399,7 +399,7 @@
     <action_set>
       <rsc_op id="126" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE25" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -408,7 +408,7 @@
     <action_set>
       <rsc_op id="135" operation="monitor" operation_key="FAKE28_monitor_10000" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -421,7 +421,7 @@
     <action_set>
       <rsc_op id="134" operation="start" operation_key="FAKE28_start_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -437,7 +437,7 @@
     <action_set>
       <rsc_op id="133" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3">
         <primitive id="FAKE28" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -446,7 +446,7 @@
     <action_set>
       <rsc_op id="140" operation="monitor" operation_key="FAKE30_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -459,7 +459,7 @@
     <action_set>
       <rsc_op id="139" operation="start" operation_key="FAKE30_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -475,7 +475,7 @@
     <action_set>
       <rsc_op id="138" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -484,7 +484,7 @@
     <action_set>
       <rsc_op id="147" operation="monitor" operation_key="FAKE33_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -500,7 +500,7 @@
     <action_set>
       <rsc_op id="146" operation="start" operation_key="FAKE33_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -519,7 +519,7 @@
     <action_set>
       <rsc_op id="145" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -528,7 +528,7 @@
     <action_set>
       <rsc_op id="158" operation="monitor" operation_key="FAKE38_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -541,7 +541,7 @@
     <action_set>
       <rsc_op id="157" operation="start" operation_key="FAKE38_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -557,7 +557,7 @@
     <action_set>
       <rsc_op id="156" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -566,7 +566,7 @@
     <action_set>
       <rsc_op id="161" operation="monitor" operation_key="FAKE39_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -582,7 +582,7 @@
     <action_set>
       <rsc_op id="160" operation="start" operation_key="FAKE39_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -601,7 +601,7 @@
     <action_set>
       <rsc_op id="159" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -610,7 +610,7 @@
     <action_set>
       <rsc_op id="166" operation="monitor" operation_key="FAKE41_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -626,7 +626,7 @@
     <action_set>
       <rsc_op id="165" operation="start" operation_key="FAKE41_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -645,7 +645,7 @@
     <action_set>
       <rsc_op id="164" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -658,7 +658,7 @@
     <action_set>
       <rsc_op id="179" operation="monitor" operation_key="FAKE47_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -674,7 +674,7 @@
     <action_set>
       <rsc_op id="178" operation="start" operation_key="FAKE47_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -693,7 +693,7 @@
     <action_set>
       <rsc_op id="177" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -702,7 +702,7 @@
     <action_set>
       <rsc_op id="182" operation="monitor" operation_key="FAKE48_monitor_10000" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -715,7 +715,7 @@
     <action_set>
       <rsc_op id="181" operation="start" operation_key="FAKE48_start_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -731,7 +731,7 @@
     <action_set>
       <rsc_op id="180" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -740,7 +740,7 @@
     <action_set>
       <rsc_op id="185" operation="monitor" operation_key="FAKE49_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -756,7 +756,7 @@
     <action_set>
       <rsc_op id="184" operation="start" operation_key="FAKE49_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -775,7 +775,7 @@
     <action_set>
       <rsc_op id="183" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
